/*
  Handle our documents
  */

#include "xsldbgdoc.h"

XsldbgDoc::XsldbgDoc()
{
  fileName = TQString();
  text = TQString();
  row = 0;
  column = 0;
}


XsldbgDoc::XsldbgDoc(const TQString &fileName, const TQString &text)
{
  this->fileName = fileName;
  this->text = text;
  row = 0;
  column  = 0;
}


XsldbgDoc::~XsldbgDoc()
{
  /* Empty */
}


TQString XsldbgDoc::getText() const
{
  return text;
}


TQString XsldbgDoc::getFileName() const
{
  return fileName;
}

void XsldbgDoc::setRow(int row)
{
  this->row = row;
}

int XsldbgDoc::getRow()
{
  return row;
}

void XsldbgDoc::setColumn(int column)
{
  this->column = column;
}


int XsldbgDoc::getColumn()
{
  return column;
}
